HttpConstants (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.http.HttpConstants class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http
Class HttpConstants

    java.lang.Object
      org.mule.transport.http.HttpConstants

    public class HttpConstants

extends Object

`HttpConstants` for request and response headers

Field Summary
`static Map` | `ALL_HEADER_NAMES`
`static String` | `CRLF`
`static String` | `DATE_FORMAT`
`static String` | `DEFAULT_CONTENT_TYPE`
`static int` | `DEFAULT_HTTP_PORT`
`static String` | `DEFAULT_HTTP_VERSION`
`static String` | `HEADER_ACCEPT`
`static String` | `HEADER_ACCEPT_CHARSET`
`static String` | `HEADER_ACCEPT_ENCODING`
`static String` | `HEADER_ACCEPT_LANGUAGE`
`static String` | `HEADER_ACCEPT_RANGES`
`static String` | `HEADER_AGE`
`static String` | `HEADER_ALLOW`
`static String` | `HEADER_AUTHORIZATION`
`static String` | `HEADER_CACHE_CONTROL`
`static String` | `HEADER_CONNECTION`
`static String` | `HEADER_CONTENT_DISPOSITION`
`static String` | `HEADER_CONTENT_ENCODING`
`static String` | `HEADER_CONTENT_LANGUAGE`
`static String` | `HEADER_CONTENT_LENGTH`
`static String` | `HEADER_CONTENT_LOCATION`
`static String` | `HEADER_CONTENT_MD5`
`static String` | `HEADER_CONTENT_RANGE`
`static String` | `HEADER_CONTENT_SEPARATOR`
`static String` | `HEADER_CONTENT_TYPE`
`static String` | `HEADER_COOKIE`
`static String` | `HEADER_COOKIE_SET`
`static String` | `HEADER_DATE`
`static String` | `HEADER_ETAG`
`static String` | `HEADER_EXPECT`
`static String` | `HEADER_EXPECT_CONTINUE_REQUEST_VALUE`
`static String` | `HEADER_EXPIRES`
`static String` | `HEADER_FROM`
`static String` | `HEADER_HOST`
`static String` | `HEADER_IF_MATCH`
`static String` | `HEADER_IF_MODIFIED_SINCE`
`static String` | `HEADER_IF_NONE_MATCH`
`static String` | `HEADER_IF_RANGE`
`static String` | `HEADER_IF_UNMODIFIED_SINCE`
`static String` | `HEADER_KEEP_ALIVE`
`static String` | `HEADER_LAST_MODIFIED`
`static String` | `HEADER_LOCATION`
`static String` | `HEADER_MAX_FORWARDS`
`static String` | `HEADER_PRAGMA`
`static String` | `HEADER_PROXY_AUTHENTICATE`
`static String` | `HEADER_PROXY_AUTHORIZATION`
`static String` | `HEADER_RANGE`
`static String` | `HEADER_REFERER`
`static String` | `HEADER_RETRY_AFTER`
`static String` | `HEADER_SERVER`
`static String` | `HEADER_SLUG`
`static String` | `HEADER_TE`
`static String` | `HEADER_TRAILER`
`static String` | `HEADER_TRANSFER_ENCODING`
`static String` | `HEADER_UPGRADE`
`static String` | `HEADER_USER_AGENT`
`static String` | `HEADER_VARY`
`static String` | `HEADER_VIA`
`static String` | `HEADER_WARNING`
`static String` | `HEADER_WWW_AUTHENTICATE`
`static String` | `HTTP10`
`static String` | `HTTP11`
`static String` | `HTTP1X`
`static String` | `METHOD_CONNECT`
`static String` | `METHOD_DELETE`
`static String` | `METHOD_GET`
`static String` | `METHOD_HEAD`
`static String` | `METHOD_OPTIONS`
`static String` | `METHOD_POST`
`static String` | `METHOD_PUT`
`static String` | `METHOD_TRACE`
`static Map` | `REQUEST_HEADER_NAMES`
`static Map` | `RESPONSE_HEADER_NAMES`
`static int` | `SC_ACCEPTED`
`static int` | `SC_BAD_GATEWAY`
`static int` | `SC_BAD_REQUEST`
`static int` | `SC_CONFLICT`
`static int` | `SC_CONTINUE`
`static int` | `SC_CREATED`
`static int` | `SC_EXPECTATION_FAILED`
`static int` | `SC_FAILED_DEPENDENCY`
`static int` | `SC_FORBIDDEN`
`static int` | `SC_GATEWAY_TIMEOUT`
`static int` | `SC_GONE`
`static int` | `SC_HTTP_VERSION_NOT_SUPPORTED`
`static int` | `SC_INSUFFICIENT_SPACE_ON_RESOURCE`
`static int` | `SC_INSUFFICIENT_STORAGE`
`static int` | `SC_INTERNAL_SERVER_ERROR`
`static int` | `SC_LENGTH_REQUIRED`
`static int` | `SC_LOCKED`
`static int` | `SC_METHOD_FAILURE`
`static int` | `SC_METHOD_NOT_ALLOWED`
`static int` | `SC_MOVED_PERMANENTLY`
`static int` | `SC_MOVED_TEMPORARILY`
`static int` | `SC_MULTI_STATUS`
`static int` | `SC_MULTIPLE_CHOICES`
`static int` | `SC_NO_CONTENT`
`static int` | `SC_NON_AUTHORITATIVE_INFORMATION`
`static int` | `SC_NOT_ACCEPTABLE`
`static int` | `SC_NOT_FOUND`
`static int` | `SC_NOT_IMPLEMENTED`
`static int` | `SC_NOT_MODIFIED`
`static int` | `SC_OK`
`static int` | `SC_PARTIAL_CONTENT`
`static int` | `SC_PAYMENT_REQUIRED`
`static int` | `SC_PRECONDITION_FAILED`
`static int` | `SC_PROCESSING`
`static int` | `SC_PROXY_AUTHENTICATION_REQUIRED`
`static int` | `SC_REQUEST_TIMEOUT`
`static int` | `SC_REQUEST_TOO_LONG`
`static int` | `SC_REQUEST_URI_TOO_LONG`
`static int` | `SC_REQUESTED_RANGE_NOT_SATISFIABLE`
`static int` | `SC_RESET_CONTENT`
`static int` | `SC_SEE_OTHER`
`static int` | `SC_SERVICE_UNAVAILABLE`
`static int` | `SC_SWITCHING_PROTOCOLS`
`static int` | `SC_TEMPORARY_REDIRECT`
`static int` | `SC_UNAUTHORIZED`
`static int` | `SC_UNPROCESSABLE_ENTITY`
`static int` | `SC_UNSUPPORTED_MEDIA_TYPE`
`static int` | `SC_USE_PROXY`
`static String` | `TRANSFER_ENCODING_CHUNKED`
`static String` | `X_PROPERTY_PREFIX`

Constructor Summary
`HttpConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP10

    public static final String HTTP10

See Also:
  Constant Field Values

### HTTP1X

    public static final String HTTP1X

See Also:
  Constant Field Values

### HTTP11

    public static final String HTTP11

See Also:
  Constant Field Values

### DEFAULT_HTTP_VERSION

    public static final String DEFAULT_HTTP_VERSION

See Also:
  Constant Field Values

### DEFAULT_HTTP_PORT

    public static final int DEFAULT_HTTP_PORT

See Also:
  Constant Field Values

### METHOD_OPTIONS

    public static final String METHOD_OPTIONS

See Also:
  Constant Field Values

### METHOD_GET

    public static final String METHOD_GET

See Also:
  Constant Field Values

### METHOD_HEAD

    public static final String METHOD_HEAD

See Also:
  Constant Field Values

### METHOD_POST

    public static final String METHOD_POST

See Also:
  Constant Field Values

### METHOD_PUT

    public static final String METHOD_PUT

See Also:
  Constant Field Values

### METHOD_DELETE

    public static final String METHOD_DELETE

See Also:
  Constant Field Values

### METHOD_TRACE

    public static final String METHOD_TRACE

See Also:
  Constant Field Values

### METHOD_CONNECT

    public static final String METHOD_CONNECT

See Also:
  Constant Field Values

### DATE_FORMAT

    public static final String DATE_FORMAT

See Also:
  Constant Field Values

### CRLF

    public static final String CRLF

See Also:
  Constant Field Values

### HEADER_CONTENT_SEPARATOR

    public static final String HEADER_CONTENT_SEPARATOR

See Also:
  Constant Field Values

### DEFAULT_CONTENT_TYPE

    public static final String DEFAULT_CONTENT_TYPE

See Also:
  Constant Field Values

### HEADER_ACCEPT

    public static final String HEADER_ACCEPT

See Also:
  Constant Field Values

### HEADER_ACCEPT_CHARSET

    public static final String HEADER_ACCEPT_CHARSET

See Also:
  Constant Field Values

### HEADER_ACCEPT_ENCODING

    public static final String HEADER_ACCEPT_ENCODING

See Also:
  Constant Field Values

### HEADER_ACCEPT_LANGUAGE

    public static final String HEADER_ACCEPT_LANGUAGE

See Also:
  Constant Field Values

### HEADER_ACCEPT_RANGES

    public static final String HEADER_ACCEPT_RANGES

See Also:
  Constant Field Values

### HEADER_AGE

    public static final String HEADER_AGE

See Also:
  Constant Field Values

### HEADER_ALLOW

    public static final String HEADER_ALLOW

See Also:
  Constant Field Values

### HEADER_AUTHORIZATION

    public static final String HEADER_AUTHORIZATION

See Also:
  Constant Field Values

### HEADER_CACHE_CONTROL

    public static final String HEADER_CACHE_CONTROL

See Also:
  Constant Field Values

### HEADER_CONNECTION

    public static final String HEADER_CONNECTION

See Also:
  Constant Field Values

### HEADER_CONTENT_ENCODING

    public static final String HEADER_CONTENT_ENCODING

See Also:
  Constant Field Values

### HEADER_CONTENT_DISPOSITION

    public static final String HEADER_CONTENT_DISPOSITION

See Also:
  Constant Field Values

### HEADER_CONTENT_LANGUAGE

    public static final String HEADER_CONTENT_LANGUAGE

See Also:
  Constant Field Values

### HEADER_CONTENT_LENGTH

    public static final String HEADER_CONTENT_LENGTH

See Also:
  Constant Field Values

### HEADER_CONTENT_LOCATION

    public static final String HEADER_CONTENT_LOCATION

See Also:
  Constant Field Values

### HEADER_CONTENT_MD5

    public static final String HEADER_CONTENT_MD5

See Also:
  Constant Field Values

### HEADER_CONTENT_RANGE

    public static final String HEADER_CONTENT_RANGE

See Also:
  Constant Field Values

### HEADER_CONTENT_TYPE

    public static final String HEADER_CONTENT_TYPE

See Also:
  Constant Field Values

### HEADER_COOKIE

    public static final String HEADER_COOKIE

See Also:
  Constant Field Values

### HEADER_COOKIE_SET

    public static final String HEADER_COOKIE_SET

See Also:
  Constant Field Values

### HEADER_DATE

    public static final String HEADER_DATE

See Also:
  Constant Field Values

### HEADER_ETAG

    public static final String HEADER_ETAG

See Also:
  Constant Field Values

### HEADER_EXPECT

    public static final String HEADER_EXPECT

See Also:
  Constant Field Values

### HEADER_EXPIRES

    public static final String HEADER_EXPIRES

See Also:
  Constant Field Values

### HEADER_FROM

    public static final String HEADER_FROM

See Also:
  Constant Field Values

### HEADER_HOST

    public static final String HEADER_HOST

See Also:
  Constant Field Values

### HEADER_IF_MATCH

    public static final String HEADER_IF_MATCH

See Also:
  Constant Field Values

### HEADER_IF_MODIFIED_SINCE

    public static final String HEADER_IF_MODIFIED_SINCE

See Also:
  Constant Field Values

### HEADER_IF_NONE_MATCH

    public static final String HEADER_IF_NONE_MATCH

See Also:
  Constant Field Values

### HEADER_IF_RANGE

    public static final String HEADER_IF_RANGE

See Also:
  Constant Field Values

### HEADER_IF_UNMODIFIED_SINCE

    public static final String HEADER_IF_UNMODIFIED_SINCE

See Also:
  Constant Field Values

### HEADER_KEEP_ALIVE

    public static final String HEADER_KEEP_ALIVE

See Also:
  Constant Field Values

### HEADER_LAST_MODIFIED

    public static final String HEADER_LAST_MODIFIED

See Also:
  Constant Field Values

### HEADER_LOCATION

    public static final String HEADER_LOCATION

See Also:
  Constant Field Values

### HEADER_MAX_FORWARDS

    public static final String HEADER_MAX_FORWARDS

See Also:
  Constant Field Values

### HEADER_PRAGMA

    public static final String HEADER_PRAGMA

See Also:
  Constant Field Values

### HEADER_PROXY_AUTHENTICATE

    public static final String HEADER_PROXY_AUTHENTICATE

See Also:
  Constant Field Values

### HEADER_PROXY_AUTHORIZATION

    public static final String HEADER_PROXY_AUTHORIZATION

See Also:
  Constant Field Values

### HEADER_RANGE

    public static final String HEADER_RANGE

See Also:
  Constant Field Values

### HEADER_REFERER

    public static final String HEADER_REFERER

See Also:
  Constant Field Values

### HEADER_RETRY_AFTER

    public static final String HEADER_RETRY_AFTER

See Also:
  Constant Field Values

### HEADER_SERVER

    public static final String HEADER_SERVER

See Also:
  Constant Field Values

### HEADER_SLUG

    public static final String HEADER_SLUG

See Also:
  Constant Field Values

### HEADER_TE

    public static final String HEADER_TE

See Also:
  Constant Field Values

### HEADER_TRAILER

    public static final String HEADER_TRAILER

See Also:
  Constant Field Values

### HEADER_TRANSFER_ENCODING

    public static final String HEADER_TRANSFER_ENCODING

See Also:
  Constant Field Values

### HEADER_UPGRADE

    public static final String HEADER_UPGRADE

See Also:
  Constant Field Values

### HEADER_USER_AGENT

    public static final String HEADER_USER_AGENT

See Also:
  Constant Field Values

### HEADER_VARY

    public static final String HEADER_VARY

See Also:
  Constant Field Values

### HEADER_VIA

    public static final String HEADER_VIA

See Also:
  Constant Field Values

### HEADER_WARNING

    public static final String HEADER_WARNING

See Also:
  Constant Field Values

### HEADER_WWW_AUTHENTICATE

    public static final String HEADER_WWW_AUTHENTICATE

See Also:
  Constant Field Values

### HEADER_EXPECT_CONTINUE_REQUEST_VALUE

    public static final String HEADER_EXPECT_CONTINUE_REQUEST_VALUE

See Also:
  Constant Field Values

### TRANSFER_ENCODING_CHUNKED

    public static final String TRANSFER_ENCODING_CHUNKED

See Also:
  Constant Field Values

### X_PROPERTY_PREFIX

    public static final String X_PROPERTY_PREFIX

See Also:
  Constant Field Values

### REQUEST_HEADER_NAMES

    public static final Map REQUEST_HEADER_NAMES

### RESPONSE_HEADER_NAMES

    public static final Map RESPONSE_HEADER_NAMES

### ALL_HEADER_NAMES

    public static final Map ALL_HEADER_NAMES

### SC_CONTINUE

    public static final int SC_CONTINUE

See Also:
  Constant Field Values

### SC_SWITCHING_PROTOCOLS

    public static final int SC_SWITCHING_PROTOCOLS

See Also:
  Constant Field Values

### SC_PROCESSING

    public static final int SC_PROCESSING

See Also:
  Constant Field Values

### SC_OK

    public static final int SC_OK

See Also:
  Constant Field Values

### SC_CREATED

    public static final int SC_CREATED

See Also:
  Constant Field Values

### SC_ACCEPTED

    public static final int SC_ACCEPTED

See Also:
  Constant Field Values

### SC_NON_AUTHORITATIVE_INFORMATION

    public static final int SC_NON_AUTHORITATIVE_INFORMATION

See Also:
  Constant Field Values

### SC_NO_CONTENT

    public static final int SC_NO_CONTENT

See Also:
  Constant Field Values

### SC_RESET_CONTENT

    public static final int SC_RESET_CONTENT

See Also:
  Constant Field Values

### SC_PARTIAL_CONTENT

    public static final int SC_PARTIAL_CONTENT

See Also:
  Constant Field Values

### SC_MULTI_STATUS

    public static final int SC_MULTI_STATUS

See Also:
  Constant Field Values

### SC_MULTIPLE_CHOICES

    public static final int SC_MULTIPLE_CHOICES

See Also:
  Constant Field Values

### SC_MOVED_PERMANENTLY

    public static final int SC_MOVED_PERMANENTLY

See Also:
  Constant Field Values

### SC_MOVED_TEMPORARILY

    public static final int SC_MOVED_TEMPORARILY

See Also:
  Constant Field Values

### SC_SEE_OTHER

    public static final int SC_SEE_OTHER

See Also:
  Constant Field Values

### SC_NOT_MODIFIED

    public static final int SC_NOT_MODIFIED

See Also:
  Constant Field Values

### SC_USE_PROXY

    public static final int SC_USE_PROXY

See Also:
  Constant Field Values

### SC_TEMPORARY_REDIRECT

    public static final int SC_TEMPORARY_REDIRECT

See Also:
  Constant Field Values

### SC_BAD_REQUEST

    public static final int SC_BAD_REQUEST

See Also:
  Constant Field Values

### SC_UNAUTHORIZED

    public static final int SC_UNAUTHORIZED

See Also:
  Constant Field Values

### SC_PAYMENT_REQUIRED

    public static final int SC_PAYMENT_REQUIRED

See Also:
  Constant Field Values

### SC_FORBIDDEN

    public static final int SC_FORBIDDEN

See Also:
  Constant Field Values

### SC_NOT_FOUND

    public static final int SC_NOT_FOUND

See Also:
  Constant Field Values

### SC_METHOD_NOT_ALLOWED

    public static final int SC_METHOD_NOT_ALLOWED

See Also:
  Constant Field Values

### SC_NOT_ACCEPTABLE

    public static final int SC_NOT_ACCEPTABLE

See Also:
  Constant Field Values

### SC_PROXY_AUTHENTICATION_REQUIRED

    public static final int SC_PROXY_AUTHENTICATION_REQUIRED

See Also:
  Constant Field Values

### SC_REQUEST_TIMEOUT

    public static final int SC_REQUEST_TIMEOUT

See Also:
  Constant Field Values

### SC_CONFLICT

    public static final int SC_CONFLICT

See Also:
  Constant Field Values

### SC_GONE

    public static final int SC_GONE

See Also:
  Constant Field Values

### SC_LENGTH_REQUIRED

    public static final int SC_LENGTH_REQUIRED

See Also:
  Constant Field Values

### SC_PRECONDITION_FAILED

    public static final int SC_PRECONDITION_FAILED

See Also:
  Constant Field Values

### SC_REQUEST_TOO_LONG

    public static final int SC_REQUEST_TOO_LONG

See Also:
  Constant Field Values

### SC_REQUEST_URI_TOO_LONG

    public static final int SC_REQUEST_URI_TOO_LONG

See Also:
  Constant Field Values

### SC_UNSUPPORTED_MEDIA_TYPE

    public static final int SC_UNSUPPORTED_MEDIA_TYPE

See Also:
  Constant Field Values

### SC_REQUESTED_RANGE_NOT_SATISFIABLE

    public static final int SC_REQUESTED_RANGE_NOT_SATISFIABLE

See Also:
  Constant Field Values

### SC_EXPECTATION_FAILED

    public static final int SC_EXPECTATION_FAILED

See Also:
  Constant Field Values

### SC_INSUFFICIENT_SPACE_ON_RESOURCE

    public static final int SC_INSUFFICIENT_SPACE_ON_RESOURCE

See Also:
  Constant Field Values

### SC_METHOD_FAILURE

    public static final int SC_METHOD_FAILURE

See Also:
  Constant Field Values

### SC_UNPROCESSABLE_ENTITY

    public static final int SC_UNPROCESSABLE_ENTITY

See Also:
  Constant Field Values

### SC_LOCKED

    public static final int SC_LOCKED

See Also:
  Constant Field Values

### SC_FAILED_DEPENDENCY

    public static final int SC_FAILED_DEPENDENCY

See Also:
  Constant Field Values

### SC_INTERNAL_SERVER_ERROR

    public static final int SC_INTERNAL_SERVER_ERROR

See Also:
  Constant Field Values

### SC_NOT_IMPLEMENTED

    public static final int SC_NOT_IMPLEMENTED

See Also:
  Constant Field Values

### SC_BAD_GATEWAY

    public static final int SC_BAD_GATEWAY

See Also:
  Constant Field Values

### SC_SERVICE_UNAVAILABLE

    public static final int SC_SERVICE_UNAVAILABLE

See Also:
  Constant Field Values

### SC_GATEWAY_TIMEOUT

    public static final int SC_GATEWAY_TIMEOUT

See Also:
  Constant Field Values

### SC_HTTP_VERSION_NOT_SUPPORTED

    public static final int SC_HTTP_VERSION_NOT_SUPPORTED

See Also:
  Constant Field Values

### SC_INSUFFICIENT_STORAGE

    public static final int SC_INSUFFICIENT_STORAGE

See Also:
  Constant Field Values

Constructor Detail

### HttpConstants

    public HttpConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.